//
//  ViewController.m
//  SocialSharingSample
//
//  Created by David Tseng on 5/27/13.
//  Copyright (c) 2013 David Tseng. All rights reserved.
//

#import "ViewController.h"
#import "SocialSharing.h"
@interface ViewController ()
- (IBAction)btnFacebookClicked:(id)sender;
-(IBAction)launchFeedback;
@property (strong, nonatomic) IBOutlet UIButton *btnSubmit;
@property (strong, nonatomic) IBOutlet UITextField *txfFeedback;




@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [TestFlight passCheckpoint:@"viewDidLoad"];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)btnFacebookClicked:(id)sender {
    
    [self presentViewController:[SocialSharing facebookSharing] animated:YES completion:Nil];
}

-(IBAction)launchFeedback {
    [TestFlight openFeedbackView];
}

-(IBAction)submitFeedbackPressed:(id)sender {
    NSString *feedback =self.txfFeedback.text;
    [TestFlight submitFeedback:feedback];
}




@end
